Subject: RE: making satellite channel loss transparent

From: "Falk, Aaron" <[email-masked]>
Date: Thu, 22 Jul 1999 08:47:25 -0400

> The issue i'm trying to raise here is why bother TCP to 
> distinguish between 
> packet loss due to corrution or due to congestion, why not make the 
> corruption loss transparent to sender tcp ? Some of the work 
> ive seen in 
> doing the above, are split-connection and berkeley snoop 
> designs. But they 
> are limited to a particular satellite network topologies, where the 
> satellite hop is the last hop of the end-to-end path. What about more 
> generic topologies ?

You'll find more general topologies dealt with in the PILC working group.
Specifically, there are two drafts you might be interested in. One on lossy
channels, draft-ietf-pilc-error-00.txt, and one on performance enhancing
proxies (PEPs), draft-ietf-pilc-pep-00.txt. You can find them through the
IETF home page or the PILC working group page
(http://pilc.grc.nasa.gov/pilc).

--aaron

---

From: Nitin Vaidya <[email-masked]>
Date: Fri, 23 Jul 1999 11:18:24 -0700

> -----Original Message-----
      > From: Jamshid Mahdavi [mailto:[email-masked]]
     ... 
      > I don't know enough about wireless to know if there are similar
      > situations where apparent corruption can actually be caused by
      > congestion conditions (which then ought to warrant a 
      > TCP backoff).

I believe with CDMA this situation can occur. Greater number of users
can lead to a higher error rate, which is an indication of congestion (of
course,
some fraction of the error rate could be unrelated to congestion).

- nitin